NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.MasterCutBuilder Class Reference

Represents a master cut feature builder that creates, inquires, or edits a master cut feature associated with a Cut View. More...

Inheritance diagram for NXOpen.Features.MasterCutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void CalcThroughLimits (NXOpen.Direction direction, out double limit1, out double limit2)
 Calculate start and end through limit values More...
 
unsafe NXOpen.DisplayableObject[] GetTargetComponents ()
 The target components that are cut More...
 
unsafe void RecalculateLimits ()
 Recalculates extrude limits to cut through target components More...
 
unsafe void SetTargetComponents (NXOpen.NXObject[] targetComponents)
 The target components that are cut More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int CutColor [get, set]
 Returns or sets the cut face color More...
 
unsafe NXOpen.ModelingView CutView [get, set]
 Returns or sets the cut view More...
 
unsafe
NXOpen.Features.ExtrudeBuilder 
Extrude [get]
 Returns the extrude builder More...
 
unsafe double HatchAngle [get, set]
 Returns or sets the hatch angle More...
 
unsafe double HatchDistance [get, set]
 Returns or sets the hatch distance More...
 
unsafe bool MaterialOutsideLoop [get, set]
 Returns or sets the flag whether or not the material is outside the loop used to create the extruded body More...
 
unsafe string SaveAsName [get, set]
 Returns or sets the cut save as name More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
TargetComponents [get]
 Returns the target components that are cut More...
 
unsafe NXOpen.Body ToolBody [get, set]
 Returns or sets the tool body used to perform the cut, which is an extruded body More...
 
unsafe bool UseCutColor [get, set]
 Returns or sets the flag whether or not to use the specified color for the cut faces More...
 
unsafe bool UseCutHatch [get, set]
 Returns or sets the flag whether or not the cut faces are crosshatched in wireframe mode More...
 
unsafe bool UseSaveAs [get, set]
 Returns or sets the flag whether or not to save the work view with a new name More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a master cut feature builder that creates, inquires, or edits a master cut feature associated with a Cut View.

This class provides methods to set and get the various master cut sub components.

The following are default options and values.

Cut View The work view

Tool Body Extrude feature tool body used to perform the cut. The user must set this

Target Components Components and/or solid bodies to cut. Unset unless the work part only contains one body

Material Outside Loop true, i.e., the material is outside the loop used to create the extrude body

Use Cut Hatch true, i.e., cut faces are crosshatched in static wireframe mode

Hatch Angle 45.0 degrees.

Hatch Distance 0.236/6.0 [in/mm]

Use Cut Color true, i.e., cut faces are colored in shaded mode

Cut Color Medium violet magenta

Use Save As true, i.e., save the cut view with a new name

Save As Name "SECTION OF work view name"

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMasterCutBuilder

Default values.

Property Value

CutColor

193

Extrude.SmartVolumeProfile.OpenProfileSmartVolumeOption

0

HatchAngle

45

HatchDistance

6.0 (millimeters part), 0.236 (inches part)

MaterialOutsideLoop

True

UseCutColor

True

UseCutHatch

True

UseSaveAs

True

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.Features.MasterCutBuilder.CalcThroughLimits ( NXOpen.Direction  direction,
out double  limit1,
out double  limit2 
)
inline

Calculate start and end through limit values

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
directionthe extrude direction
limit1start limit value
limit2end limit value
unsafe NXOpen.DisplayableObject [] NXOpen.Features.MasterCutBuilder.GetTargetComponents ( )
inline

The target components that are cut

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
target components that are cut
unsafe void NXOpen.Features.MasterCutBuilder.RecalculateLimits ( )
inline

Recalculates extrude limits to cut through target components

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.MasterCutBuilder.SetTargetComponents ( NXOpen.NXObject[]  targetComponents)
inline

The target components that are cut

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
targetComponentstarget components to be cut

Property Documentation

unsafe int NXOpen.Features.MasterCutBuilder.CutColor
getset

Returns or sets the cut face color

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ModelingView NXOpen.Features.MasterCutBuilder.CutView
getset

Returns or sets the cut view

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.ExtrudeBuilder NXOpen.Features.MasterCutBuilder.Extrude
get

Returns the extrude builder

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.MasterCutBuilder.HatchAngle
getset

Returns or sets the hatch angle

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.MasterCutBuilder.HatchDistance
getset

Returns or sets the hatch distance

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.MasterCutBuilder.MaterialOutsideLoop
getset

Returns or sets the flag whether or not the material is outside the loop used to create the extruded body

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe string NXOpen.Features.MasterCutBuilder.SaveAsName
getset

Returns or sets the cut save as name

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.MasterCutBuilder.TargetComponents
get

Returns the target components that are cut

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Body NXOpen.Features.MasterCutBuilder.ToolBody
getset

Returns or sets the tool body used to perform the cut, which is an extruded body

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.MasterCutBuilder.UseCutColor
getset

Returns or sets the flag whether or not to use the specified color for the cut faces

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.MasterCutBuilder.UseCutHatch
getset

Returns or sets the flag whether or not the cut faces are crosshatched in wireframe mode

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.MasterCutBuilder.UseSaveAs
getset

Returns or sets the flag whether or not to save the work view with a new name

Created in NX4.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.